using System;
using System.Collections.Generic;
using System.Text;
using BasicCard.BasicCards;
using BasicCard.Terminals;

namespace BasicCardExplorer
{
    class BasicCardService : AbstractBasicCardService
    {
        private BasicCardInfo version = null;
        /// <summary>
        /// Constructor
        /// </summary>
        public BasicCardService()
            : base()
        {
        }

        public ICardReader Reader
        {
            get
            {
                return base.connection.CardReader;
            }
        }

        public byte[] ATR
        {
            get
            {
                return base.connection.Atr.GetBytes();
            }
        }

        public BasicCardInfo Info
        {
            get
            {
                if (null == version)
                {
                    try
                    {
                        byte[] stateData = CmdGetState();
                        version = new BasicCardInfo(stateData);
                    }
                    catch (Exception)
                    {
                        version = new BasicCardInfo(null);
                    }
                }
                return version;
            }
        }                       
    }
}
