' Created on 14.07.2005
' Project: BasicCard .Net
' --------------------------------
' Copyright 2005 ZeitControl cardsystems GmbH
' --------------------------------
' $Archive: $
' $Revision: 1.1 $
' $Modtime: $
' --------------------------------
' $History: $

Option Explicit On 
Imports BasicCard
Imports BasicCard.BasicCards

Public Class IssuerService
    Inherits DealerService

    ' Constructs a IssuerService object
    Public Sub New()
        MyBase.New()
        Dim key() As Byte = {&HF1, &HA8, &HF4, &H3E, _
                  &H4, &H4, &H8D, &HEB}
        SetKey(0, key)
    End Sub

    ' Override of start encryption using issuer key.
    Public Overrides Sub StartEncryption()
        AutoEncryption(0, "\Key0")
    End Sub

    ' Call PersonaliseCard command.
    ' Amount: new amount of card
    ' NewPIN: new PIN for this card
    ' Name: card owner name
    Public Sub PersonaliseCard(ByVal Amount As Decimal, ByVal NewPIN As String, ByVal Name As String)
        Dim cmd As BasicCardCommand = New BasicCardCommand(&H80, &H0)
        cmd.AppendBasicLong(FromDecimal(Amount))
        cmd.AppendBasicStringN(New BasicCardStringN(4, NewPIN, BasicCardString.CharsetIdAscii))
        cmd.AppendBasicString(New BasicCardString(Name, StringEncoding))
        cmd.DisableLE() ' we do not need response data
        Dim rsp As BasicCardResponse = DoCommandAndResponse(cmd)
        rsp.CheckSW1SW2()
    End Sub

End Class
